- Qt 6.7
- Qt 3D
- QML Types
- Qt3D.Render
- RayCaster
- Qt 6.7.2 Reference Documentation

# RayCaster QML Type

used to perform ray casting tests in 3d world coordinates. More...

Import Statement: | import Qt3D.Render 2.7

- List of all members, including inherited members

## Properties

- direction : vector3D
- length : real
- origin : vector3d

## Detailed Description

The 3d ray is defined by its origin, direction and length. It will be affected by the transformations applied to the entity it belongs to.

Ray casting tests will be performed every frame as long as the component is enabled. The hits property will be updated with the list of intersections.

See also AbstractRayCaster, ScreenRayCaster, and NoPicking.

## Property Documentation

direction : vector3D

Holds the direction of the 3D ray. This should be a unit vector.

length : real

Holds the length of the 3d ray.

origin : vector3d

Holds the origin of the 3D ray in local coordinates.